{extends file="parent:frontend/detail/tabs.tpl"}

{* Including the Product Sticker beside the rating tab *}
{block name="frontend_detail_tabs_rating"}
    {$smarty.block.parent}
    {block name="frontend_detail_tabs_trustedrating"}
        {if $sTrustedShops.id != ''
        && (($sTrustedShops.collectRatings && !$sTrustedShops.expertMode) || ($sTrustedShops.collectRatingsExpert && $sTrustedShops.expertMode))
        && (($sTrustedShops.trustedShopsShowReviewStickerActive && !$sTrustedShops.expertMode) || ($sTrustedShops.trustedShopsShowReviewStickerActiveExpert && $sTrustedShops.expertMode))
        }
            <a href="#" class="tab--link" title="{$sTrustedShops.prodReviewStickerTabName|escape:'javascript'}" data-tabName="ts-rating">{$sTrustedShops.prodReviewStickerTabName|escape:'javascript'}</a>
        {/if}
    {/block}
{/block}

{block name="frontend_detail_tabs_content_rating"}
    {$smarty.block.parent}

    {block name="frontend_detail_tabs_content_tsrating"}
        {if $sTrustedShops.id != ''
        && (($sTrustedShops.collectRatings && !$sTrustedShops.expertMode) || ($sTrustedShops.collectRatingsExpert && $sTrustedShops.expertMode))
        && (($sTrustedShops.trustedShopsShowReviewStickerActive && !$sTrustedShops.expertMode) || ($sTrustedShops.trustedShopsShowReviewStickerActiveExpert && $sTrustedShops.expertMode))
        }
            <div class="tab--container">
                {block name="frontend_detail_tabs_content_tsrating_inner"}
                    <div class="tab--header">
                        {block name="frontend_detail_tabs_content_tsrating_title"}
                            {*<a href="#" class="tab--title" title="{s namespace="frontend/detail" name='DetailTabsDescription'}{/s}">{s name='DetailTabsDescription'}{/s}</a>*}
                            <a class="tab--title" title="{$sTrustedShops.prodReviewStickerTabName|escape:'javascript'}" href="#">{$sTrustedShops.prodReviewStickerTabName|escape:'javascript'}</a>
                        {/block}
                    </div>
                {/block}

                {block name="frontend_detail_tabs_content_tsrating_description"}
                    <div class="tab--content">
                        {*/...........................................................................................*}
                        {block name='frontend_detail_tsrating_buttons_offcanvas'}
                            <div class="buttons--off-canvas">
                                {block name='frontend_detail_tsrating_buttons_offcanvas_inner'}
                                    <a href="#" title="{"{s name="OffcanvasCloseMenu" namespace="frontend/detail/description"}{/s}"|escape}" class="close--off-canvas">
                                        <i class="icon--arrow-left"></i>
                                        {s name="OffcanvasCloseMenu" namespace="frontend/detail/description"}{/s}
                                    </a>
                                {/block}
                            </div>
                        {/block}

                        {*/...........................................................................................*}
                        {block name="frontend_detail_tabs_content_tsrating_description_inner"}
                            <style type="text/css">
                                .ts-wrapper .ts-header {
                                    padding-top:30px;
                                }
                            </style>
                            <div id="ts_product_sticker">
                            </div>
                            {assign var="parentOrdernumber" value="."|explode:$sArticle.ordernumber}
                            {if $parentOrdernumber[0] != $sArticle.ordernumber}
                                {assign var="ordernumbersNeeded" value=$sArticle.ordernumber|cat:"',' "|cat:$parentOrdernumber[0]}
                            {else}
                                {assign var="ordernumbersNeeded" value=$sArticle.ordernumber}
                            {/if}
                        {if $sTrustedShops.trustedShopsShowReviewStickerCode != '' &&  $sTrustedShops.id != '' && $sTrustedShops.expertMode}
                            {$sTrustedShops.trustedShopsShowReviewStickerCode|replace:"%sku%":$ordernumbersNeeded|replace:"%locale%":$sTrustedShops.locale}
                            {else}

                            <script type="text/javascript">
                                _tsProductReviewsConfig = {
                                    {block name="frontend_detail_index_trus1TrustedShopsBadge_productsticker_settings"}
                                    tsid: '{$sTrustedShops.id|escape:'javascript'}',
                                    sku: ['{$ordernumbersNeeded}'],
                                    variant: 'productreviews',
                                    borderColor: '{$sTrustedShops.prodStickerBorderColor|escape:'javascript'}',
                                    locale: '{$sTrustedShops.locale|escape:'javascript'}',
                                    backgroundColor: '{$sTrustedShops.reviewStickerBackgroundColor|escape:'javascript'}',
                                    starColor: '{$sTrustedShops.prodStickerStarColor|escape:'javascript'}',
                                    starSize: '{$sTrustedShops.reviewStickerStarSize|escape:'javascript'}px',
                                    ratingSummary: 'false',
                                    maxHeight: '1200px',
                                    'element': '#ts_product_sticker',
                                    hideEmptySticker: 'false',
                                    introtext: '' /* optional */
                                    {/block}
                                };
                                var scripts = document.getElementsByTagName('SCRIPT'),
                                        me = scripts[scripts.length - 1];
                                var _ts = document.createElement('SCRIPT');
                                _ts.type = 'text/javascript';
                                _ts.async = true;
                                _ts.charset = 'utf-8';
                                _ts.src ='//widgets.trustedshops.com/reviews/tsSticker/tsProductSticker.js';
                                me.parentNode.insertBefore(_ts, me);
                                _tsProductReviewsConfig.script = _ts;
                            </script>
                        {/if}
                        {/block}
                    </div>
                {/block}
            </div>
        {/if}
    {/block}
{/block}