{extends file="parent:frontend/index/sidebar.tpl"}

{block name="frontend_index_left_inner"}
    {$smarty.block.parent}
    {if $sTrustedShops.id != ''}
        {if $sTrustedShops.expertMode && $sTrustedShops.customerRatingsExpertCode != '' && $sTrustedShops.customerRatingsActiveExpert}
            {$sTrustedShops.customerRatingsExpertCode}
        {elseif !$sTrustedShops.expertMode && $sTrustedShops.customerRatingsActive}
            <script type="text/javascript">
                _tsRatingConfig = {
                    tsid: '{$sTrustedShops.id|escape:'javascript'}',
                    variant: 'testimonial',
                    theme: 'light',
                    reviews: '{$sTrustedShops.customerRatingsReviews|escape:'javascript'}',
                    betterThan: '{$sTrustedShops.customerRatingsBetterThan|escape:'javascript'}',
                    richSnippets: 'on',
                    backgroundColor: '{$sTrustedShops.customerRatingsBackgroundColor|escape:'javascript'}',
                    linkColor: '#000000',
                    quotationMarkColor: '#FFFFFF',
                    fontFamily: '{$sTrustedShops.customerRatingsFontFamily|escape:'javascript'}',
                    reviewMinLength: '10'
                };
                var scripts = document.getElementsByTagName('SCRIPT'),
                    me = scripts[ scripts.length - 1 ];
                var _ts = document.createElement('SCRIPT');
                _ts.type = 'text/javascript';
                _ts.async = true;
                _ts.src =
                    '//widgets.trustedshops.com/reviews/tsSticker/tsSticker.js';
                me.parentNode.insertBefore(_ts, me);
                _tsRatingConfig.script = _ts;
            </script>
        {/if}
    {/if}
{/block}


