{extends file="parent:frontend/checkout/finish.tpl"}

{* Including the Trust Cart on checkout finish page *}
{block name='frontend_checkout_finish_teaser'}
    {$smarty.block.parent}
    {if !$sUserData.additional.charge_vat}
        {assign var='CheckoutOrderAmount' value=$sAmountNet|replace:',':'.'}
    {else}
        {if $sAmountWithTax}
            {assign var='CheckoutOrderAmount' value=$sAmountWithTax|replace:',':'.'}
        {else}
            {assign var='CheckoutOrderAmount' value=$sAmount|replace:',':'.'}
        {/if}
    {/if}
    {if $sTrustedShops.id != ''}
        <div id="trustedShopsCheckout" style="display: none;">
            <span id="tsCheckoutOrderNr">{$sOrderNumber|escape}</span>
            <span id="tsCheckoutBuyerEmail">{$sUserData.additional.user.email|escape}</span>
            <span id="tsCheckoutOrderAmount">{$CheckoutOrderAmount|escape}</span>
            <span id="tsCheckoutOrderCurrency">{config name=currency|escape}</span>
            <span id="tsCheckoutOrderPaymentType">{$sPayment.name|escape}</span>
            <span id="tsCheckoutOrderEstDeliveryDate">{$sTrustedShops.deliveryDate|escape}</span>
            {if $sTrustedShops.id != '' && (($sTrustedShops.collectRatings && !$sTrustedShops.expertMode) || ($sTrustedShops.collectRatingsExpert && $sTrustedShops.expertMode))}
                <div id="basket_item_list">
                    {foreach from=$sBasket.content item=sBasketItem}
                        {if !$sBasketItem.modus}
                            {$detailLink={url controller=detail sArticle=$sBasketItem.articleID number=$sBasketItem.ordernumber}}
                            <span class="tsCheckoutProductItem">
                            <span class="tsCheckoutProductUrl">{$detailLink}</span>
                            <span class="tsCheckoutProductImageUrl">{$sBasketItem.additional_details.image.source|escape}</span>
                            <span class="tsCheckoutProductName">{$sBasketItem.articlename|escape}</span>
                            <span class="tsCheckoutProductGTIN">{$sBasketItem['ean']|escape}</span>
                            <span class="tsCheckoutProductMPN">{$sBasketItem['suppliernumber']|escape}</span>
                            <span class="tsCheckoutProductBrand">{$sBasketItem.additional_details.supplierName|escape}</span>
                                {if isset($basketItemsAdditionalInfos[$sBasketItem.ordernumber])}
                                    <span class="tsCheckoutProductSKU">{$basketItemsAdditionalInfos[$sBasketItem.ordernumber]|escape}</span>
                                {/if}

                        </span>
                        {/if}
                    {/foreach}
                </div>
            {/if}
        </div>
    {/if}
{/block}