{extends file="parent:frontend/detail/tabs.tpl"}
{*This template is used only if shopware version is below 5.0 to fix the trustedshops tab functionality*}
{block name="frontend_detail_tabs_rating"}
    {$smarty.block.parent}
    {if $sTrustedShops.id != ''
        && ( ($sTrustedShops.trustedShopsShowReviewStickerActive && !$sTrustedShops.expertMode) || ($sTrustedShops.trustedShopsShowReviewStickerActiveExpert && $sTrustedShops.expertMode))
        && (($sTrustedShops.collectRatings && !$sTrustedShops.expertMode) || ($sTrustedShops.collectRatingsExpert && $sTrustedShops.expertMode))
    }
        <li>
            <a href="#tsTab" class="tab--link" title="{$sTrustedShops.prodReviewStickerTabName|escape:'javascript'}" data-tabName="ts-rating">{$sTrustedShops.prodReviewStickerTabName|escape:'javascript'}</a>
        </li>
    {/if}
{/block}

{block name="frontend_detail_index_tabs_description" append}
    <div id="tsTab">
        <div id="ts_product_sticker">
        </div>
        {assign var="parentOrdernumber" value="."|explode:$sArticle.ordernumber}
        {if $parentOrdernumber[0] != $sArticle.ordernumber}
            {assign var="ordernumbersNeeded" value=$sArticle.ordernumber|cat:"',' "|cat:$parentOrdernumber[0]}
        {else}
            {assign var="ordernumbersNeeded" value=$sArticle.ordernumber}
        {/if}

        {if $sTrustedShops.id != ''}
            {if !$sTrustedShops.expertMode && $sTrustedShops.collectRatings && $sTrustedShops.trustedShopsShowReviewStickerActive}
                <script type="text/javascript">
                    _tsProductReviewsConfig = {
                        {block name="frontend_detail_index_trus1TrustedShopsBadge_productsticker_settings"}
                        tsid: '{$sTrustedShops.id|escape:'javascript'}',
                        sku: [ '{$ordernumbersNeeded}' ],
                        //sku: ["msj012c"], // <---- Auskommentieren
                        variant: 'productreviews',
                        borderColor: '{$sTrustedShops.prodStickerBorderColor|escape:'javascript'}',
                        locale: '{$sTrustedShops.locale|escape:'javascript'}',
                        backgroundColor: '{$sTrustedShops.reviewStickerBackgroundColor|escape:'javascript'}',
                        starColor: '{$sTrustedShops.prodStickerStarColor|escape:'javascript'}',
                        starSize: '{$sTrustedShops.reviewStickerStarSize|escape:'javascript'}px',
                        ratingSummary: 'false',
                        maxHeight: '1200px',
                        'element': '#ts_product_sticker',
                        hideEmptySticker: 'false',
                        introtext: '' /* optional */
                        {/block}
                    };
                    var scripts = document.getElementsByTagName('SCRIPT'),
                        me = scripts[ scripts.length - 1 ];
                    var _ts = document.createElement('SCRIPT');
                    _ts.type = 'text/javascript';
                    _ts.async = true;
                    _ts.charset = 'utf-8';
                    _ts.src = '//widgets.trustedshops.com/reviews/tsSticker/tsProductSticker.js';
                    me.parentNode.insertBefore(_ts, me);
                    _tsProductReviewsConfig.script = _ts;
                </script>
            {elseif $sTrustedShops.expertMode && $sTrustedShops.collectRatingsExpert && $sTrustedShops.trustedShopsShowReviewStickerCode != '' && $sTrustedShops.trustedShopsShowReviewStickerActiveExpert}
                {$sTrustedShops.trustedShopsShowReviewStickerCode|replace:"%sku%":$ordernumbersNeeded|replace:"%locale%":$sTrustedShops.locale}
            {/if}
        {/if}
    </div>
{/block}